: Class SelfTest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage
Class SelfTest

    grendel.SelfTest
      |
      +--grendel.storage.SelfTest

public class SelfTest
extends SelfTest

Fields inherited from class grendel.SelfTest
`playdir, props, session`

Constructor Summary
`SelfTest()`

Method Summary
`void` | `berkeley()`
`void` | `checkFolder_1(java.lang.String mname, javax.mail.Folder f, int numTotal, int numUndeleted, int numUnread, int numNew, java.lang.String[] authors, java.lang.String[] subjects, long[] sentdates)`
`void` | `checkFolder(java.lang.String mname, javax.mail.Folder f, int numTotal, int numUndeleted, int numUnread, int numNew, java.lang.String[] authors, java.lang.String[] subjects, long[] sentdates)`
`void` | `endTests()`
`static void` | `main(java.lang.String[] args)`
`void` | `runTests()`
`void` | `startTests(java.lang.String[] args)`

Methods inherited from class grendel.SelfTest
`cleanDirectory, cleanPlayDirectory, getStackTrace, installFile, makePlayDir, prettyTime, setUserAndPassword, writeKnownBug`

Constructor Detail

### SelfTest

    public SelfTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### startTests

    public void startTests(java.lang.String[] args)

  Overrides:
    startTests in class SelfTest

### runTests

    public void runTests()

### endTests

    public void endTests()

  Overrides:
    endTests in class SelfTest

### checkFolder_1

    public void checkFolder_1(java.lang.String mname,
                              javax.mail.Folder f,
                              int numTotal,
                              int numUndeleted,
                              int numUnread,
                              int numNew,
                              java.lang.String[] authors,
                              java.lang.String[] subjects,
                              long[] sentdates)
                       throws javax.mail.MessagingException

### checkFolder

    public void checkFolder(java.lang.String mname,
                            javax.mail.Folder f,
                            int numTotal,
                            int numUndeleted,
                            int numUnread,
                            int numNew,
                            java.lang.String[] authors,
                            java.lang.String[] subjects,
                            long[] sentdates)
                     throws javax.mail.MessagingException

### berkeley

    public void berkeley()
                  throws javax.mail.MessagingException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD